Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class AttributeCertificateInfo

    java.lang.Object
      |
      +--org.bouncycastle.asn1.x509.AttributeCertificateInfo

All Implemented Interfaces:
  DEREncodable

public class AttributeCertificateInfo
extends java.lang.Object
implements DEREncodable

Constructor Summary
`AttributeCertificateInfo()`

Method Summary
`DERInteger` | `getAttCertVersion()`
`AttCertValidityPeriod` | `getAttrCertValidityPeriod()`
`ASN1Sequence` | `getAttributes()`
`DERObject` | `getDERObject()` AttributeCertificateInfo ::= SEQUENCE { version AttCertVersion -- version is v2, holder Holder, issuer AttCertIssuer, signature AlgorithmIdentifier, serialNumber CertificateSerialNumber, attrCertValidityPeriod AttCertValidityPeriod, attributes SEQUENCE OF Attribute, issuerUniqueID UniqueIdentifier OPTIONAL, extensions Extensions OPTIONAL } AttCertVersion ::= INTEGER { v2(1) }
`X509Extensions` | `getExtensions()`
`Holder` | `getHolder()`
`AttCertIssuer` | `getIssuer()`
`DERBitString` | `getIssuerUniqueID()`
`DERInteger` | `getSerialNumber()`
`AlgorithmIdentifier` | `getSignature()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeCertificateInfo

    public AttributeCertificateInfo()

Method Detail

### getAttCertVersion

    public DERInteger getAttCertVersion()

### getHolder

    public Holder getHolder()

### getIssuer

    public AttCertIssuer getIssuer()

### getSignature

    public AlgorithmIdentifier getSignature()

### getSerialNumber

    public DERInteger getSerialNumber()

### getAttrCertValidityPeriod

    public AttCertValidityPeriod getAttrCertValidityPeriod()

### getAttributes

    public ASN1Sequence getAttributes()

### getIssuerUniqueID

    public DERBitString getIssuerUniqueID()

### getExtensions

    public X509Extensions getExtensions()

### getDERObject

    public DERObject getDERObject()

        AttributeCertificateInfo ::= SEQUENCE {
             version              AttCertVersion -- version is v2,
             holder               Holder,
             issuer               AttCertIssuer,
             signature            AlgorithmIdentifier,
             serialNumber         CertificateSerialNumber,
             attrCertValidityPeriod   AttCertValidityPeriod,
             attributes           SEQUENCE OF Attribute,
             issuerUniqueID       UniqueIdentifier OPTIONAL,
             extensions           Extensions OPTIONAL
        }

        AttCertVersion ::= INTEGER { v2(1) }

  Specified by:
    `getDERObject` in interface `DEREncodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD